<?php
if (! defined('STRATIVO_VERSION')) {
	// Replace the version number of the theme on each release.
	define('STRATIVO_VERSION', wp_get_theme()->get('Version'));
}
define('STRATIVO_DEBUG', defined('WP_DEBUG') && WP_DEBUG === true);
define('STRATIVO_DIR', trailingslashit(get_template_directory()));
define('STRATIVO_URL', trailingslashit(get_template_directory_uri()));

if (! function_exists('strativo_support')) :

	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * @since walker_fse 1.0.0
	 *
	 * @return void
	 */
	function strativo_support()
	{
		// Add default posts and comments RSS feed links to head.
		add_theme_support('automatic-feed-links');
		// Add support for block styles.
		add_theme_support('wp-block-styles');
		add_theme_support('post-thumbnails');
		// Enqueue editor styles.
		add_editor_style('style.css');
		// Removing default patterns.
		remove_theme_support('core-block-patterns');
	}

endif;
add_action('after_setup_theme', 'strativo_support');

/*
----------------------------------------------------------------------------------
Enqueue Styles
-----------------------------------------------------------------------------------*/
if (! function_exists('strativo_styles')) :
	function strativo_styles()
	{
		// registering style for theme
		wp_enqueue_style('strativo-style', get_stylesheet_uri(), array(), STRATIVO_VERSION);
		wp_enqueue_style('strativo-blocks-style', get_template_directory_uri() . '/assets/css/blocks.css', array(), STRATIVO_VERSION);
		if (is_rtl()) {
			wp_enqueue_style('strativo-rtl-css', get_template_directory_uri() . '/assets/css/rtl.css', 'rtl_css', STRATIVO_VERSION);
		}
		wp_enqueue_script('strativo-scripts', get_template_directory_uri() . '/assets/js/strativo-scripts.js', array('jquery'), STRATIVO_VERSION, true);
	}
endif;

add_action('wp_enqueue_scripts', 'strativo_styles');

/**
 * Enqueue scripts for admin area
 */
function strativo_admin_style()
{
	$hello_notice_current_screen = get_current_screen();
	if (! empty($_GET['page']) && 'about-strativo' === $_GET['page'] || $hello_notice_current_screen->id === 'themes' || $hello_notice_current_screen->id === 'dashboard' || $hello_notice_current_screen->id === 'plugins') {
		wp_enqueue_style('strativo-admin-style', get_template_directory_uri() . '/inc/admin/css/admin-style.css', array(), STRATIVO_VERSION, 'all');
		wp_enqueue_script('strativo-admin-scripts', get_template_directory_uri() . '/inc/admin/js/strativo-admin-scripts.js', array('jquery'), STRATIVO_VERSION, true);

		wp_localize_script(
			'strativo-admin-scripts',
			'strativo_admin_localize',
			array(
				'ajax_url'     => admin_url('admin-ajax.php'),
				'nonce'        => wp_create_nonce('strativo_admin_nonce'),
				'welcomeNonce' => wp_create_nonce('strativo_welcome_nonce'),
				'redirect_url' => admin_url('themes.php?page=about-strativo'),
				'scrollURL'    => admin_url('plugins.php?cozy-addons-scroll=true'),
				'demoURL'      => admin_url('themes.php?page=advanced-import'),
			)
		);
	}
}
add_action('admin_enqueue_scripts', 'strativo_admin_style');

/**
 * Enqueue assets scripts for both backend and frontend
 */

/**
 * Load core file.
 */
require_once get_template_directory() . '/inc/core/init.php';

/**
 * Load welcome page file.
 */
require_once get_template_directory() . '/inc/admin/welcome-notice.php';

if (! function_exists('strativo_excerpt_more_postfix')) {
	function strativo_excerpt_more_postfix($more)
	{
		if (is_admin()) {
			return $more;
		}
		return '...';
	}
	add_filter('excerpt_more', 'strativo_excerpt_more_postfix');
}
function strativo_add_woocommerce_support()
{
	add_theme_support('woocommerce');
}
add_action('after_setup_theme', 'strativo_add_woocommerce_support');
